"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var config_1 = require("./config");
var dom = require("./dom");
var event_1 = require("./event");
var react_1 = require("./react");
function parse(html, userOptions) {
    if (typeof html !== 'string') {
        throw new TypeError('First argument must be a string.');
    }
    var options = config_1.getConfig(userOptions);
    var document = dom.parse(html, options);
    if (options.eventHandlers) {
        event_1.addEventHandlers(document, options.eventHandlers);
    }
    return react_1.render(document.childNodes);
}
exports.parse = parse;
//# sourceMappingURL=index.js.map