/// <reference types="react" />
/**
 * A map between an event name and an event handler
 */
export interface EventHandlers {
    [keyof: string]: React.EventHandler<any>;
}
/**
 * A map between a css selector and one or several event handlers
 */
export interface SelectorsToEventHandlers {
    [keyof: string]: EventHandlers;
}
/**
 * An internal representation of an element that include event handlers
 */
export interface EnrichedElement extends Element {
    eventHandlers?: EventHandlers;
}
export declare function addEventHandlers(document: DocumentFragment, selectorsToEventHandlers: SelectorsToEventHandlers): void;
